#!/bin/sh

starth=`date +%H`
startm=`date +%M`
starts=`date +%S`

echo Starting at $starth:$startm:$starts

cd /media/bordel/build &&
rm -rf * &&
export CC=gcc-4.3 CXX=g++-4.3 &&
export LDFLAGS="-Wl,-z,defs" &&
../vlc/configure \
    --enable-update-check \
    --disable-skins2 \
    --enable-ncurses \
    --disable-mozilla \
    --enable-debug \
    --enable-xvmc \
    --enable-faad \
    --enable-caca \
    --enable-theora \
    --enable-lirc \
    --enable-v4l \
    --enable-v4l2 \
    --disable-x264 \
    --enable-twolame \
    --disable-dependency-tracking \
    --disable-maintainer-mode \
    --enable-fast-install \
    --prefix=$HOME/.local &&
mkdir -p src/modules src/misc &&
mkdir -p modules/gui/qt4/dialogs modules/gui/qt4/components/playlist &&
mkdir -p modules/gui/qt4/util &&
./compile -j2 &&
rm -rf $HOME/.local &&
make install

stoph=`date +%H`
stopm=`date +%M`
stops=`date +%S`

echo Finished at $stoph:$stopm:$stops
h=$(($stoph-$starth))
m=$(($stopm-$startm))
s=$(($stops-$starts))


if [ $s -lt 0 ]; then
    s=$(($s+60))
    m=$(($m-1))
fi

if [ $m -lt 0 ]; then
    m=$(($m+60))
    h=$(($h-1))
fi

if [ $h -lt 0 ]; then
    h=$(($h+24))
fi

if [ $h -ne 0 ]; then
    m=$(($m+60*$h))
fi

echo Worked for $m:$s

